package com.cool.store.mapper;

import com.cool.store.entity.HyPartnerUserChannelDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
public interface HyPartnerUserChannelMapper {
    int deleteByPrimaryKey(Long id);

    int insert(HyPartnerUserChannelDO record);

    int insertSelective(HyPartnerUserChannelDO record);

    HyPartnerUserChannelDO selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(HyPartnerUserChannelDO record);

    int updateByPrimaryKey(HyPartnerUserChannelDO record);

    HyPartnerUserChannelDO selectByChannelId(@Param("channelId") Long id);

    HyPartnerUserChannelDO selectByChannelName(@Param("channelName") String channelName);

    List<HyPartnerUserChannelDO> getAllUserChannel();

    List<HyPartnerUserChannelDO> getUserChannelByIds(List<Integer> userChannelIds);

    HyPartnerUserChannelDO selectByChannel(@Param("channelId") Long channelId,@Param("channelName") String channelName);

}